Package com.tietoenator.trip.jxp.session

# Class TdbSerializableObject

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSerializableObject

All Implemented Interfaces:
  `TdbControlObjectProvider`

Direct Known Subclasses:
  `TdbDatabaseClusterDesign`, `TdbDatabaseDesign`, `TdbFormat`, `TdbGroup`, `TdbProcedure`, `TdbUser`

public class TdbSerializableObject extends TdbMessageProvider implements TdbControlObjectProvider
Base class for objects that can be serialized to files for import / export operations, e.g. database design, groups, etc.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbSerializableObject(TdbSession session, TdbInterfaceType type, TdbControlObject ob)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TdbControlObject`
  `getControlObject()`
  Retrieves the Control object reference bound to this instance

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbSerializableObject

    public TdbSerializableObject(TdbSession session, TdbInterfaceType type, TdbControlObject ob) throws TdbException
    Constructor
    Parameters:
      `session` - Active session
      `type` - Type of connection for which this construction is valid
      `ob` - The Control object reference that is bound to this object
    Throws:
      `TdbException`

- ## Method Details

  - ### getControlObject

    public TdbControlObject getControlObject()
    Retrieves the Control object reference bound to this instance
    Specified by:
      `getControlObject` in interface `TdbControlObjectProvider`
    Returns:
      The Control object reference